//////////////////////
//Created by Montegro/
//////////////////////
using System;
using Server;

namespace Server.Items
{
	public class DiabloGem : Item
	{
		[Constructable]
		public DiabloGem() : base( 0xF13 )
		{
			Weight = 1.0;
			Name = "Diablo's Gem";
			Hue = 1157;
		}

		public DiabloGem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
		
					
		public override void OnDoubleClick( Mobile from ) 
		{ 
			switch ( Utility.Random( 4 ) )
			{
				default:
				case  0: from.SendMessage( "Stop Clicking Me" ); break;
				case  1: from.SendMessage( "You Rid The World Of Diablo" ); break;
				case  2: from.SendMessage( "Goodjob" ); break;
				case  3: from.SendMessage( "Diablo's Soul Is In This Gem" ); break;
			}
		}
	}	
}
