//////////////////////
//Created by Montegro/
//////////////////////
using System;
using Server;

namespace Server.Items
{
	public class HarpyBall : Item
	{
		[Constructable]
		public HarpyBall() : base( 0x1869 )
		{
			Weight = 1.0;
			Name = "HarpyBall";
			Hue = 1157;
		}

		public HarpyBall( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
		
		public override void OnDoubleClick( Mobile from ) 
		{ 
			switch ( Utility.Random( 1 ) )
			{
				default:
				case  0: from.SendMessage( "GoodJob Now turn this in to Zulock" ); break;
			}
		}
	}	
}
